services:
  mariadb:
    image: mariadb:11.7.2
    container_name: mariadb
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: root#unl!853
      MYSQL_DATABASE: resilient_resilient
      MYSQL_USER: resDbUser
      MYSQL_PASSWORD: res#Db!Pwd%765
    ports:
      - "3306:3306"
    volumes:
      - ./mariadb_data:/var/lib/mysql
      - ./config/my.cnf:/etc/mysql/conf.d/custom.cnf:ro	# ':ro' means 'readonly', this is mandatory for MariaDB, or it will IGNORE the file

volumes:
  mariadb_data:
